/// <reference types="node" />
import { EventEmitter } from 'events';
import * as fs from 'fs';
declare class File extends EventEmitter {
    protected filename: string;
    protected fd: number | null;
    protected lockedPositions: Map<number, {
        exclusive: boolean;
        count: number;
    }>;
    protected logger: Console;
    protected reads: number;
    protected writes: number;
    constructor(filename: string);
    readonly isOpen: boolean;
    read(position: number, reverse?: boolean, buffer?: Buffer): AsyncIterableIterator<number[]>;
    write(position: number, buffer: Buffer): Promise<void>;
    clear(position: number, length: number, char?: string): Promise<void>;
    truncate(position: number): Promise<void>;
    exists(): Promise<boolean>;
    append(text: string): Promise<void>;
    delete(): Promise<void>;
    stat(): Promise<fs.Stats>;
    open(mode?: string): Promise<void>;
    openSync(mode?: string): void;
    close(): Promise<void>;
    closeSync(): void;
    lock(pos?: number, options?: {
        exclusive: boolean;
    }): Promise<void>;
    unlock(pos?: number): Promise<void>;
}
export default File;
