"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tiny_lru_1 = __importDefault(require("tiny-lru"));
const index_1 = __importDefault(require("./index"));
const size = 1000000;
let batch = [];
const cache = tiny_lru_1.default(size);
async function main(filename) {
    const index = new index_1.default(filename);
    await index.open();
    function insertBatch() {
        const b = batch;
        batch = [];
        if (b.length)
            index.insert(b, cache);
    }
    const handler = async (objectFields) => {
        if (objectFields == null) {
            // Insert remaining fields
            insertBatch();
            // Cleanup
            process.off('message', handler);
            process.once('beforeExit', async () => {
                await index.close();
            });
            return;
        }
        batch.push(...objectFields);
        if (batch.length >= size)
            insertBatch();
    };
    process.on('message', handler);
    process.send('ready');
}
process.once('unhandledRejection', err => { throw err; });
main(process.argv[2]);
//# sourceMappingURL=indexer.js.map