/// <reference types="node" />
import File from './file';
import Store from './store';
declare class JSONStore<T> implements Store<T> {
    protected indent: number;
    protected file: File;
    trail: string;
    constructor(filename: string, indent?: number);
    readonly isOpen: boolean;
    open(): Promise<void>;
    close(): Promise<void>;
    create(objects?: T[]): Promise<void>;
    destroy(): Promise<void>;
    lock(pos?: number, options?: {
        exclusive: boolean;
    }): Promise<void>;
    unlock(pos?: number): Promise<void>;
    get(position: number): Promise<{
        value: T;
        start: number;
        length: number;
    }>;
    getAll(): AsyncIterableIterator<any[]>;
    getAppendPosition(): Promise<{
        position: number;
        first: boolean;
    }>;
    append(data: T, position?: number): Promise<{
        start: number;
        length: number;
        raw: Buffer;
    }>;
    write(buffer: Buffer, position: number): Promise<void>;
    set(position: number, value: any): Promise<void>;
    lastModified(): Promise<Date>;
    stringify(data: T): string;
    readonly joiner: string;
}
export default JSONStore;
