/// <reference types="node" />
export declare const enum Char {
    Space = 32,
    Quote = 34,
    Comma = 44,
    Newline = 10,
    Backslash = 92,
    LeftBrace = 123,
    RightBrace = 125,
    LeftBracket = 91,
    RightBracket = 93
}
export declare function readJSON(stream: AsyncIterator<number[]>, parse?: boolean): AsyncIterableIterator<{
    start: number;
    length: number;
    value?: any;
}>;
export declare function findJSONfield(text: string, field: string): number | undefined;
export declare function read(fd: number, position?: number, reverse?: boolean, buffer?: Buffer): AsyncIterableIterator<number[]>;
export declare function z85EncodeAsUInt32(number: number, compact?: boolean): string;
export declare function z85DecodeAsUInt32(string: string, compact?: boolean): number;
export declare function z85EncodeAsUInt(number: number, compact?: boolean): string;
export declare function z85DecodeAsUInt(string: string, compact?: boolean): number;
export declare function z85EncodeAsDouble(number: number, compact?: boolean): string;
export declare function z85DecodeAsDouble(string: string, compact?: boolean): number;
export declare function logger(name: string, log?: boolean): Console;
